Loading...
Searching...
No Matches
caf::upstream_msg::ack_open Struct Reference

Acknowledges a previous open message and finalizes a stream handshake. More...

`#include <upstream_msg.hpp>`

## Public Types

using | outer_type = upstream_msg
| Allows the testing DSL to unbox this type automagically.

## Public Attributes

actor_addr | rebind_from
| Allows actors to participate in a stream instead of the actor originally receiving the open message.
strong_actor_ptr | rebind_to
| Points to sender_, but with a strong reference.
int32_t | initial_demand
| Grants credit to the source.
int32_t | desired_batch_size
| Desired size of individual batches.

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, upstream_msg::ack_open &x)

## Detailed Description

Acknowledges a previous open message and finalizes a stream handshake.

Also signalizes initial demand.

## Member Data Documentation

## rebind_from

actor_addr caf::upstream_msg::ack_open::rebind_from

Allows actors to participate in a stream instead of the actor originally receiving the open message.

No effect when set to nullptr. This mechanism enables pipeline definitions consisting of proxy actors that are replaced with actual actors on demand.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/upstream_msg.hpp